# $Id: xnee.spec 3914 2006-01-09 21:00:10Z dries $
# Authority: dries
# Upstream: Henrik Sandklef

Summary: Record, distribute and replay X protocol data
Name: xnee
Version: 2.03
Release: 1.rf
License: GPL
Group: User Interface/X
URL: http://www.gnu.org/software/xnee/

Packager: Dries Verachtert <dries@ulyssis.org>
Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: ftp://ftp.gnu.org/gnu/xnee/Xnee-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: gtk2-devel

%description
Xnee can record, distribute, and replay X (X11) protocol data. This is 
useful for automated tests of applications or benchmarking of applications. 
Think of it as a robot.

%prep
%setup -n Xnee-%{version}

%{__cat} <<EOF >%{name}.desktop
[Desktop Entry]
Name=xnee
Comment=Record, distribute and replay X protocol data
Exec=gnee
Terminal=false
Type=Application
StartupNotify=true
Categories=Application;AudioVideo;
EOF

%build
%configure
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%makeinstall

%{__install} -d -m0755 %{buildroot}%{_datadir}/applications/
desktop-file-install --vendor rpmforge             \
	--add-category X-Red-Hat-Base              \
	--dir %{buildroot}%{_datadir}/applications \
	%{name}.desktop

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc AUTHORS ChangeLog COPYING FAQ INSTALL NEWS README TODO
%{_bindir}/cnee
%{_bindir}/gnee
%{_libdir}/libxnee*
%{_datadir}/Xnee/
%{_datadir}/applications/*.desktop

%changelog
* Tue Jan 03 2006 Dries Verachtert <dries@ulyssis.org> - 2.03-1 - 3914/dries
- Initial package.
